std::slice(3)

NAME
std::slice - Class defining one-dimensional subset of an array.

SYNOPSIS

  Public Member Functions
slice ()
Construct an empty slice.
slice (size_t __o, size_t __d, size_t __s)
Construct a slice.
size_t size () const
Return size of slice.
size_t start () const
Return array offset of first slice element.
size_t stride () const
Return array stride of slice.

Detailed Description

Class defining one-dimensional subset of an array. The slice class represents a one-dimensional subset of an array, specified by three parameters: start offset, size, and stride. The start offset is the index of the first element of the array that is part of the subset. The size is the total number of elements in the subset. Stride is the distance between each successive array element to include in the subset.

For example, with an array of size 10, and a slice with offset 1, size 3 and stride 2, the subset consists of array elements 1, 3, and 5.

Definition at line 59 of file slice_array.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.